Package ru.bitel.bgbilling.modules.mps.server.events

# Class MPSBeforeResponseEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.bgbilling.modules.mps.server.events.MPSBeforeResponseEvent

All Implemented Interfaces:
  `Serializable`, `ErrorReturnableEvent`

public class MPSBeforeResponseEvent extends ru.bitel.bgbilling.kernel.event.common.LocalEvent

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MPSBeforeResponseEvent(MPSRequest mpsRequest, MPSResponse response, Element responseElement)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MPSRequest`
  `getMPSRequest()`
  Получение сформированного экземпляра запроса от платёжной системы
  `MPSResponse`
  `getResponse()`
  Получение ответа на запрос ПС в виде `MPSResponse`, в который можно подставить какие то свои данные, актуальные для того или иного протокола, которые в дальнейшем попадут в ответ на запрос ПС.
  `Element`
  `getResponseElement()`
  `boolean`
  `isProcessed()`
  Получение значения флага, сигнализирующего о том, производилась и закончена ли обработка события в скрипте.
  `void`
  `setProcessed(boolean processed)`
  Установка флага окончания обработки события скриптом.

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.LocalEvent

  `getError, setError`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MPSBeforeResponseEvent

    public MPSBeforeResponseEvent(MPSRequest mpsRequest, MPSResponse response, Element responseElement)

- ## Method Details

  - ### getResponse

    public MPSResponse getResponse()
    Получение ответа на запрос ПС в виде `MPSResponse`, в который можно подставить какие то свои данные, актуальные для того или иного протокола, которые в дальнейшем попадут в ответ на запрос ПС.
    Returns:
      ответ на запрос ПС в виде `MPSResponse`, в который можно добавить какую то произвольную информацию.

  - ### isProcessed

    public boolean isProcessed()
    Получение значения флага, сигнализирующего о том, производилась и закончена ли обработка события в скрипте.
    Returns:
      true - скрипт успешно выполнил свою работу и сигнализирует, что закончил обработку и все необходимые данные подготовлены, false - необходимо игнорировать данные, которые скрипт мог сформировать в процессе своей работы.

  - ### setProcessed

    public void setProcessed(boolean processed)
    Установка флага окончания обработки события скриптом. Выставляется в скрипте-обработчике по завершению своей работы и сигнализирует о том, что данные, которые, возможно, скрипт поместил в событие, окончательны и их можно использовать.
    Parameters:
      `processed` -

  - ### getMPSRequest

    public MPSRequest getMPSRequest()
    Получение сформированного экземпляра запроса от платёжной системы
    Returns:
      MPSRequest

  - ### getResponseElement

    public Element getResponseElement()